// JavaScript Document
<!--
function fnRemoveBrank(strSource)
{
 return strSource.replace(/^\s*/,'').replace(/\s*$/,'');
}
//检测Email是否存在
function checkEmail()
{
email=this.form1.email.value;
var xmlhttp;
try
{
xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
try
{
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{ 
try
{
xmlhttp=new XMLHttpRequest();
}
catch (e)
{
}
}
}
if (email=="")
{
msg="Email不能为空！";
var ch=document.getElementById("emails");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
var objv = fnRemoveBrank(email);
var pattern = /^([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)*@([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)+$/;
flag = pattern.test(objv);
if(!flag)
{
msg="Email格式不正确！";
var ch=document.getElementById("emails");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
//创建请求，并使用escape对email编码，以避免乱码
xmlhttp.open("get","Regdisposal.asp?Action=checkregmsg&email="+escape(email)+ "&t=" + new Date().getTime());
xmlhttp.onreadystatechange=function()
{
if(4==xmlhttp.readyState)
{
if(200==xmlhttp.status)
{
	msg=xmlhttp.responseText;
}
else
{
msg="网络链接失败";
}
var ch=document.getElementById("emails");
ch.innerHTML=msg; 
}
}
xmlhttp.send(null); 
return false;
}

function checkMobile()
{
	mobile=this.form1.mobile.value;
	if (mobile!="")
	{
		var objv = fnRemoveBrank(mobile);
		var pattern = /^([0-9])+$/;
		flag = pattern.test(objv);
		if(!flag||objv.length<11)
		{
			msg="请正确填写手机号码！";
			var ch=document.getElementById("mobiles");
			ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
			return false;
		}
		else
		{
			msg="手机号码填写正确！";
			var ch=document.getElementById("mobiles");
			ch.innerHTML="<font color='#009900'>"+msg+"</font>"; 
		}
	}
}
function checkEmails()
{
email=this.form1.email.value;
var xmlhttp;
try
{
xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
try
{
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{ 
try
{
xmlhttp=new XMLHttpRequest();
}
catch (e)
{
}
}
}
if (email=="")
{
msg="Email不能为空！";
var ch=document.getElementById("emails");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
var objv = fnRemoveBrank(email);
var pattern = /^([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)*@([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)+$/;
flag = pattern.test(objv);
if(!flag)
{
msg="Email格式不正确！";
var ch=document.getElementById("emails");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
//创建请求，并使用escape对email编码，以避免乱码
xmlhttp.open("get","../Regdisposal.asp?Action=checkregmsg&email="+escape(email)+ "&t=" + new Date().getTime());
xmlhttp.onreadystatechange=function()
{
if(4==xmlhttp.readyState)
{
if(200==xmlhttp.status)
{
	msg=xmlhttp.responseText;
}
else
{
msg="网络链接失败";
}
var ch=document.getElementById("emails");
ch.innerHTML=msg; 
}
}
xmlhttp.send(null); 
return false;
} 

//检测用户名是否存在
function checkLogin()
{
login=this.form1.login.value;
var xmlhttp;
try
{
xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
try
{
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{ 
try
{
xmlhttp=new XMLHttpRequest();
}
catch (e)
{
}
}
}
if (login=="")
{
msg="用户名不能为空！";
var ch=document.getElementById("logins");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
var objv = fnRemoveBrank(login);
var pattern = /^[A-Za-z0-9_@.-]{4,20}$/;
flag = pattern.test(objv);
if(!flag)
{
msg="用户名格式不正确！";
var ch=document.getElementById("logins");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
//创建请求，并使用escape对login编码，以避免乱码
xmlhttp.open("get","Regdisposal.asp?Action=checkregmsg&login="+escape(login)+ "&t=" + new Date().getTime());
xmlhttp.onreadystatechange=function()
{
if(4==xmlhttp.readyState)
{
if(200==xmlhttp.status)
{
	msg=xmlhttp.responseText;
}else
{msg="网络链接失败";}
var ch=document.getElementById("logins");
ch.innerHTML=msg; 
}
}
xmlhttp.send(null); 
return false;
} 

function checkLogins()
{
login=this.form1.login.value;
var xmlhttp;
try
{
xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
try
{
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{ 
try
{
xmlhttp=new XMLHttpRequest();
}
catch (e)
{
}
}
}
if (login=="")
{
msg="用户名不能为空！";
var ch=document.getElementById("logins");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
var objv = fnRemoveBrank(login);
var pattern = /^[A-Za-z0-9_@.-]{4,20}$/;
flag = pattern.test(objv);
if(!flag)
{
msg="用户名格式不正确！";
var ch=document.getElementById("logins");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
return false;
}
//创建请求，并使用escape对login编码，以避免乱码
xmlhttp.open("get","../Regdisposal.asp?Action=checkregmsg&login="+escape(login)+ "&t=" + new Date().getTime());
xmlhttp.onreadystatechange=function()
{
if(4==xmlhttp.readyState)
{
if(200==xmlhttp.status)
{
	msg=xmlhttp.responseText;
}
else
{
msg="网络链接失败";
}
var ch=document.getElementById("logins");
ch.innerHTML=msg; 
}
}
xmlhttp.send(null); 
return false;
} 
//验证密码
function checkrepwd()
{
var Inform="form1";
var Inputname="repwd";
var Form=Inform+"."
eval("Temp="+Form+Inputname+".value;"); 
//alert(Temp);
if(Temp==""){ 
msg="密码不能为空！"; 
}
else
{ 
if(Temp.length<4||Temp.length>20)
{
msg="密码必须在4~20个字符之间！";
}
else
{
var Inputname1="pwd";
eval("Temp1="+Form+Inputname1+".value");
if (Temp!=Temp1)
{
eval(Form+Inputname+".value='';");
eval(Form+Inputname1+".value='';");
eval(Form+Inputname1+".focus();");
msg="两次密码不一样！"; 
msg1="";
var ch1=document.getElementById("pwds");
ch1.innerHTML="<font color='#FF0000'>"+msg1+"</font>";
}
else
{
msg="<font color='#009900'>密码输入正确!</font>";
}
}
}
var ch=document.getElementById("repwds");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>"; 
}
//检测密码输入是否正确
function checkpwd()
{
var Inform="form1";
var Inputname="pwd";
var Form=Inform+"."
eval("Temp="+Form+Inputname+".value;"); 
//alert(Temp);
if(Temp==""){ 
msg="密码不能为空!"; 
}
else
{ 
if(Temp.length<4||Temp.length>20)
{
msg="密码必须在4~20个字符之间!";
}
else
{
msg="<font color='#009900'>密码输入正确!</font>";
}
}
var ch=document.getElementById("pwds");
ch.innerHTML="<font color='#FF0000'>"+msg+"</font>";
}
//是否选择接收系统发送的邮件消息
function checksendemail(){
if (document.form1.sendemail.checked == true) {
		showsendmail.style.display = "none";
		document.body.style.overflow='';
	}else{
		showsendmail.style.left=event.clientX-10; //鼠标目前的位置
		showsendmail.style.top=event.clientY-5; 
		showsendmail.style.display = "";
	}
}
function checkyessendemail() {
    document.form1.sendemail.checked = true
	document.all("showsendmail").style.display="none"
}
function checknosendemail() {
	document.all("showsendmail").style.display="none"
}
//提交注册
function pwdmodi(){
if(this.form1.oldpwd.value=="")
{alert('请输入旧密码');
this.form1.oldpwd.focus();
return false;}
if(this.form1.pwd.value=="")
{alert('请输入密码');
this.form1.pwd.focus();
return false;}
else
{if(this.form1.pwd.value.length<4||this.form1.pwd.value.length>20)
{alert('密码长度必须在4~20个字符');
this.form1.pwd.focus();
return false;
}
}
if(this.form1.repwd.value=="")
{alert('请输入重复密码');
this.form1.repwd.focus();
return false;
}
else
{
if(this.form1.repwd.value.length<4||this.form1.repwd.value.length>20)
{
alert('密码长度必须在4~20个字符');
this.form1.repwd.focus();
return false;
}
}
if(this.form1.pwd.value!=this.form1.repwd.value)
{this.form1.pwd.value="";
this.form1.repwd.value="";
this.form1.pwd.focus();
alert('两次密码不一样，请重新输入');
return false;
}
}
function loginmodi()
{
if(this.form1.login.value=="")
{alert('请输入新用户名');
this.form1.login.focus();
return false;
}
var objv = this.form1.login.value;
var pattern = /^[A-Za-z0-9_@.-]{4,20}$/;
flag = pattern.test(objv);
if(!flag) 
{alert("用户名：要求为4-20个字母或数字以及“_”“@”“-”的组合！请重新输入。");
this.form1.login.focus();
return(false);
}
}
function sendreg()
{
if(this.form1.email.value=="")
{	alert('请输入要注册的邮箱地址');
	this.form1.email.focus();
	return false;
}
var objv = fnRemoveBrank(this.form1.email.value);
var pattern = /^([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)*@([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)+$/;
flag = pattern.test(objv);
if(!flag)
{
alert("电子邮件：格式不正确！请重新输入。");
this.form1.email.focus();
return (false); 
}
if(this.form1.login.value=="")
{
alert('请输入要注册的用户名');
this.form1.login.focus();
return false;
}
var objv = this.form1.login.value;
var pattern = /^[A-Za-z0-9_@.-]{4,20}$/;
flag = pattern.test(objv);
if(!flag) 
{alert("用户名：要求为4-20个字母或数字以及“_”“@”“-”的组合！请重新输入。");
this.form1.login.focus();
return(false);
}
if(this.form1.pwd.value=="")
{alert('请输入密码');
this.form1.pwd.focus();
return false;
}
else
{
if(this.form1.pwd.value.length<4||this.form1.pwd.value.length>20)
{alert('密码长度必须在4~20个字符');
this.form1.pwd.focus();
return false;
}
}
if(this.form1.repwd.value=="")
{alert('请输入密码');
this.form1.repwd.focus();
return false;
}
else
{
if(this.form1.repwd.value.length<4||this.form1.repwd.value.length>20)
{
alert('密码长度必须在4~20个字符');
this.form1.repwd.focus();
return false;
}
	this.form1.Submit.value="正在处理中，请稍候……";
	this.form1.Submit.disabled=true;
	return true;
}
if(this.form1.pwd.value!=this.form1.repwd.value)
{this.form1.pwd.value="";
this.form1.repwd.value="";
this.form1.pwd.focus();
alert('两次密码不一样，请重新输入');
return false;
}
}
var gdCtrl = new Object();
var goSelectTag = new Array();
var gcGray = "#808080";
var gcToggle = "#ffff00";
var gcBG = "#99CCFF";
var previousObject = null;

var gdCurDate = new Date();
var giYear = gdCurDate.getFullYear();
var giMonth = gdCurDate.getMonth()+1;
var giDay = gdCurDate.getDate();

var gCalMode = "";
var gCalDefDate = "";

var CAL_MODE_NOBLANK = "2";

function fSetDate(iYear, iMonth, iDay){
  //VicPopCal.style.visibility = "hidden";
  if ((iYear == 0) && (iMonth == 0) && (iDay == 0)){
  	gdCtrl.value = "";
  }else{
  	iMonth = iMonth + 100 + "";
  	iMonth = iMonth.substring(1);
  	iDay   = iDay + 100 + "";
  	iDay   = iDay.substring(1);
  	gdCtrl.value = iYear+"-"+iMonth+"-"+iDay;
  }
  
  for (i in goSelectTag)
  	goSelectTag[i].style.visibility = "visible";
  goSelectTag.length = 0;
  
  window.returnValue=gdCtrl.value;
  window.close();
}

function HiddenDiv()
{
	var i;
  VicPopCal.style.visibility = "hidden";
  for (i in goSelectTag)
  	goSelectTag[i].style.visibility = "visible";
  goSelectTag.length = 0;

}
function fSetSelected(aCell){
  var iOffset = 0;
  var iYear = parseInt(tbSelYear.value);
  var iMonth = parseInt(tbSelMonth.value);
  
  aCell.bgColor = gcBG;
  with (aCell.children["cellText"]){
  	var iDay = parseInt(innerText);
  	if (color==gcGray)
		iOffset = (Victor<10)?-1:1;

	/*** below temp patch by maxiang ***/
	if( color == gcGray ){
		iOffset = (iDay < 15 )?1:-1;
	}
	/*** above temp patch by maxiang ***/

	iMonth += iOffset;
	if (iMonth<1) {
		iYear--;
		iMonth = 12;
	}else if (iMonth>12){
		iYear++;
		iMonth = 1;
	}
  }
  fSetDate(iYear, iMonth, iDay);
}

function Point(iX, iY){
	this.x = iX;
	this.y = iY;
}

function fBuildCal(iYear, iMonth) {
  var aMonth=new Array();
  for(i=1;i<7;i++)
  	aMonth[i]=new Array(i);
  
  var dCalDate=new Date(iYear, iMonth-1, 1);
  var iDayOfFirst=dCalDate.getDay();
  var iDaysInMonth=new Date(iYear, iMonth, 0).getDate();
  var iOffsetLast=new Date(iYear, iMonth-1, 0).getDate()-iDayOfFirst+1;
  var iDate = 1;
  var iNext = 1;

  for (d = 0; d < 7; d++)
	aMonth[1][d] = (d<iDayOfFirst)?-(iOffsetLast+d):iDate++;
  for (w = 2; w < 7; w++)
  	for (d = 0; d < 7; d++)
		aMonth[w][d] = (iDate<=iDaysInMonth)?iDate++:-(iNext++);
  return aMonth;
}

function fDrawCal(iYear, iMonth, iCellHeight, sDateTextSize) {
  var WeekDay = new Array("日","一","二","三","四","五","六");
  var styleTD = " bgcolor='"+gcBG+"' bordercolor='"+gcBG+"' valign='middle' align='center' height='"+iCellHeight+"' style='font-size:11px; ";

  with (document) {
	write("<tr>");
	for(i=0; i<7; i++)
		write("<td "+styleTD+" color:#990099' >" + WeekDay[i] + "</td>");
	write("</tr>");

  	for (w = 1; w < 7; w++) {
		write("<tr>");
		for (d = 0; d < 7; d++) {
			write("<td id=calCell "+styleTD+"cursor:hand;' onMouseOver='this.bgColor=gcToggle' onMouseOut='this.bgColor=gcBG' onclick='fSetSelected(this)'>");
			write("<font id=cellText ><b> </b></font>");
			write("</td>")
		}
		write("</tr>");
	}
  }
}

function fUpdateCal(iYear, iMonth) {
  myMonth = fBuildCal(iYear, iMonth);
  var i = 0;
  for (w = 0; w < 6; w++)
	for (d = 0; d < 7; d++)
		with (cellText[(7*w)+d]) {
			Victor = i++;
			if (myMonth[w+1][d]<0) {
				color = gcGray;
				innerText = -myMonth[w+1][d];
			}else{
				// Modified by maxiang for we need 
				// Saturday displayed in blue font color.
				//color = ((d==0)||(d==6))?"red":"black";
				if( d == 0 ){
					color = "red";
				}else if( d == 6 ){
					color = "blue";
				}else{
					color = "black";
				}
				// End of above maxiang
				innerText = myMonth[w+1][d];
			}
		}
}

function fSetYearMon(iYear, iMon){
  tbSelMonth.options[iMon-1].selected = true;
  for (i = 0; i < tbSelYear.length; i++)
	if (tbSelYear.options[i].value == iYear)
		tbSelYear.options[i].selected = true;
  fUpdateCal(iYear, iMon);
}

function fPrevMonth(){
  var iMon = tbSelMonth.value;
  var iYear = tbSelYear.value;
  
  if (--iMon<1) {
	  iMon = 12;
	  iYear--;
  }
  
  fSetYearMon(iYear, iMon);
}

function fNextMonth(){
  var iMon = tbSelMonth.value;
  var iYear = tbSelYear.value;
  
  if (++iMon>12) {
	  iMon = 1;
	  iYear++;
  }
  
  fSetYearMon(iYear, iMon);
}

function fToggleTags(){
  with (document.all.tags("SELECT")){
 	for (i=0; i<length; i++)
 		if ((item(i).Victor!="Won")&&fTagInBound(item(i))){
 			item(i).style.visibility = "hidden";
 			goSelectTag[goSelectTag.length] = item(i);
 		}
  }
}

function fTagInBound(aTag){
  with (VicPopCal.style){
  	var l = parseInt(left);
  	var t = parseInt(top);
  	var r = l+parseInt(width);
  	var b = t+parseInt(height);
	var ptLT = fGetXY(aTag);
	return !((ptLT.x>r)||(ptLT.x+aTag.offsetWidth<l)||(ptLT.y>b)||(ptLT.y+aTag.offsetHeight<t));
  }
}

function fGetXY(aTag){
  var oTmp = aTag;
  var pt = new Point(0,0);
  do {
  	pt.x += oTmp.offsetLeft;
  	pt.y += oTmp.offsetTop;
  	oTmp = oTmp.offsetParent;
  } while(oTmp.tagName!="BODY");
  return pt;
}

// Main: popCtrl is the widget beyond which you want this calendar to appear;
//       dateCtrl is the widget into which you want to put the selected date.
// i.e.: <input type="text" name="dc" style="text-align:center" readonly><INPUT type="button" value="V" onclick="fPopCalendar(dc,dc);return false">

function fPopUpCalendarDlg(ctrlobj)   //弹出日历
{
	showx = event.screenX - event.offsetX - 4 - 170 ; // + deltaX;
	showy = event.screenY - event.offsetY + 15; // + deltaY;
	newWINwidth = 210 + 4 + 18;

	retval = window.showModalDialog("../inc/hzcalendardlg.asp", "", "dialogWidth:196px; dialogHeight:210px; dialogLeft:"+showx+"px; dialogTop:"+showy+"px; status:no; directories:yes;scrollbars:no;Resizable=no; "  );
	if( retval != null ){
		ctrlobj.value = retval;
	}else{
		//alert("canceled");
	}
}

function fPopCalendar(popCtrl, dateCtrl, mode, defDate){
	gCalMode = mode;
	gCalDefDate = defDate;
	
  if (popCtrl == previousObject){
	  	if (VicPopCal.style.visibility == "visible"){
  		//HiddenDiv();
  		return true;
  	}
  	
  }
  previousObject = popCtrl;
  gdCtrl = dateCtrl;
  fSetYearMon(giYear, giMonth); 
  var point = fGetXY(popCtrl);

	if( gCalMode == CAL_MODE_NOBLANK ){
		document.all.CAL_B_BLANK.style.visibility = "hidden";	
	}else{
		document.all.CAL_B_BLANK.style.visibility = "visible";
	}	

  with (VicPopCal.style) {
  	left = point.x;
	top  = point.y+popCtrl.offsetHeight;
	width = VicPopCal.offsetWidth;
	height = VicPopCal.offsetHeight;
	fToggleTags(point); 	
	visibility = 'visible';
  }
}

var gMonths = new Array("1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月");

with (document) {
write("<Div id='VicPopCal' style='OVERFLOW:hidden;POSITION:absolute;VISIBILITY:hidden;border:0px ridge;width:100%;height:100%;top:0;left:0;z-index:100;overflow:hidden'>");
write("<link rel='stylesheet'  href='/css/green.css'>");
write("<table border='0' bgcolor='#3366CC'>");
write("<TR>");
write("<td valign='middle' align='center'><input type='button' name='PrevMonth' value='<' style='height:20;width:20;FONT:bold' onClick='fPrevMonth()'>");
write("&nbsp;<SELECT name='tbSelYear' onChange='fUpdateCal(tbSelYear.value, tbSelMonth.value)' Victor='Won'>");
for(i=1949;i<2006;i++)
	write("<OPTION value='"+i+"'>"+i+"年</OPTION>");
write("</SELECT>");
write("&nbsp;<select name='tbSelMonth' onChange='fUpdateCal(tbSelYear.value, tbSelMonth.value)' Victor='Won'>");
for (i=0; i<12; i++)
	write("<option value='"+(i+1)+"'>"+gMonths[i]+"</option>");
write("</SELECT>");
write("&nbsp;<input type='button' name='PrevMonth' value='>' style='height:20;width:20;FONT:bold' onclick='fNextMonth()'>");
write("</td>");
write("</TR><TR>");
write("<td align='center'>");
write("<DIV style='background-color:#000066'><table width='100%' border='0'>");
fDrawCal(giYear, giMonth, 8, '12');
write("</table></DIV>");
write("</td>");
write("</TR><TR><TD align='center'>");
write("<TABLE width='100%'><TR><TD align='center'>");
write("<B ID=\"CAL_B_BLANK\" style='color:"+gcBG+"; visibility:visible; cursor:hand; font-size:11px' onclick='fSetDate(0,0,0)' onMouseOver='this.style.color=gcToggle' onMouseOut='this.style.color=gcBG'>清空</B>");
write("</td><td algin='center'>");
write("<B style='color:"+gcBG+";cursor:hand; font-size:11px' onclick='fSetDate(giYear,giMonth,giDay)' onMouseOver='this.style.color=gcToggle' onMouseOut='this.style.color=gcBG'>选择: "+giYear+"/"+giMonth+"/"+giDay+"</B>");
write("</td></tr></table>");
write("</TD></TR>");
write("</TABLE></Div>");
}


function showClock() { 
} 
function hideClock() { 
} 
var timerID = null 
var timerRunning = false 
function stopClock() { 
if(timerRunning) 
clearTimeout(timerID); 
timerRunning = false 
document.clock.face.value = ""; 
} 
function showTime() { 
var now = new Date(); 
var year = now.getYear(); 
var month = now.getMonth() + 1; 
var date = now.getDate(); 
var hours = now.getHours(); 
var mins = now.getMinutes(); 
var secs = now.getSeconds(); 
var timeVal = ""; 
timeVal += hours ; 
timeVal += ((mins < 10) ? ":0" : ":") + mins; 
timeVal += ((secs <= 10) ? ":0" : ":") + secs; 

document.clock.face.value = timeVal; 
timerID = setTimeout("showTime()", 1000); 
timerRunning = true 
} 
function startClock() { 
stopClock(); 
showTime(); 
} 　 
function windowOpener( indexnum ){ 
var loadpos="date.html"+"#"+indexnum; 
controlWindow=window.open(loadpos,"date","toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=620,height=400"); 
}

function fResizeImg(w, h, id){ 
var img=''; 
var obj; 
if(id==undefined)obj=document.images; 
else obj=document.getElementById(id).getElementsByTagName('img'); 
 
for(var i=0; i<obj.length; i++){ 
img=obj[i]; 
if (img.height<img.width){
if(img.width>w&&(img.height<img.width)){ 
img.height=img.height-(img.height/(img.width/(img.width-w))) 
img.width=w; 
}
if(img.height>h&&(img.height<img.width)){ 
img.width=img.width-(img.width/(img.height/(img.height-h))) 
img.height=h; 
}
} 
else if (img.height>img.width)
{
if(img.height>h&&(img.height>img.width)){ 
img.width=img.width-(img.width/(img.height/(img.height-h))) 
img.height=h; 
}
if(img.width>w&&(img.height>img.width)){ 
img.height=img.height-(img.height/(img.width/(img.width-w))) 
img.width=w;  
}
}

img.onclick=function(){ 
try{ imgPopup.close();} catch(e){} 
imgPopup=open('#', 'imgurl', 'width=500, height=500, left='+(screen.availWidth-500)/2+ 
', top='+(screen.availHeight-500)/2) 
imgPopup.document.write('<script>document.onclick=function(){ close();} /* 单击关闭窗口 */ <\/script>'); 
 
imgPopup.document.write('<img src="'+this.src+'"/>'+ 
'<script>'+ 
'var w, h;'+ 
'var img=document.images[0];'+ 
'if(navigator.appName=="Opera"){w=img.width+10; h=img.height+40} else {w=img.width+10; h=img.height+25};'+ 
'self.resizeTo(w, h);'+ 
'self.moveTo((screen.availWidth-img.width)/2,(screen.availHeight-img.height)/2)'+ 
'<\/script>'+ 
'<style>body{margin:0; padding:0;} .hd{visibility:hidden;}<\/style>'); 
imgPopup.document.write('<p class="hd">ok</p>'); 
imgPopup.document.close(); 
imgPopup.focus(); 
} 
}  
}
<!--实现层移动-->
var mmm='';
document.onmouseup=MUp;
document.onmousemove=MMove;

function MDown(Object){
mmm=Object.id;
document.all(mmm).setCapture();
pX=event.x-document.all(mmm).style.pixelLeft;
pY=event.y-document.all(mmm).style.pixelTop;
}

function MMove(){
if(mmm!=''){
document.all(mmm).style.left=event.x-pX;
document.all(mmm).style.top=event.y-pY;
}
}

function MUp(){
if(mmm!=''){
document.all(mmm).releaseCapture();
mmm='';
}
}